﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for TestData
/// </summary>
public class TestData
{
    public List<DataItem> Items { get; set; }
	public TestData()
	{
        Items = new List<DataItem>();
        for (int i = 0; i < 10; i++)
        {
            Items.Add(new DataItem
            {
                ID = i,
                Text = "Item" + i,
                Date = DateTime.Today.AddDays(-i)
            });
        }
	}
}

public class DataItem
{
    public int ID { get; set; }
    public string Text { get; set; }
    public DateTime Date { get; set; }
}