﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        UnboundField unbound2 = new UnboundField();
        unbound2.Key = "unbound2";
        unbound2.Header.Text = "Unbound2";
        grid.Columns.Add(unbound2);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Data"] == null)
        {
            TestData data = new TestData();
            Session["Data"] = data.Items;
        }
        grid.DataSource = Session["Data"];
    }

    protected void grid_InitializeRow(object sender, RowEventArgs e)
    {
        GridRecordItem unbound1Item = e.Row.Items.FindItemByKey("unbound1");
        GridRecordItem unbound2Item = e.Row.Items.FindItemByKey("unbound2");

        if (e.Row.Index == 0)
        {
            unbound1Item.Column.Width = new Unit(75, UnitType.Pixel);
            unbound2Item.Column.Width = new Unit(150, UnitType.Pixel);
        }

        unbound1Item.Value = "markup";
        unbound2Item.Value = "code behind";
    }
}